INTERFACE
SUBROUTINE CANEVA( KQUOI , KANTY , KTASK, PDISTR, PDELTA, PDELPI,&
 & KMXGSL, KMXGQ , PCORMIN,PSTRET,&
 & PLATA , PLONA , PRESSS, KNBPH, KNBPV,&
 & KNXI , KNLXI , KNYJ , KNLYJ , KNM ,&
 & PSIGPS, PRESIA, PSIGA, KNPR) 
USE PARKIND1 ,ONLY : JPIM ,JPRB
USE PARDIMO , ONLY : JPNOTP
INTEGER(KIND=JPIM),INTENT(IN) :: KNBPH
INTEGER(KIND=JPIM),INTENT(IN) :: KNBPV
INTEGER(KIND=JPIM),INTENT(IN) :: KNLXI
INTEGER(KIND=JPIM),INTENT(IN) :: KNLYJ
INTEGER(KIND=JPIM),INTENT(IN) :: KQUOI
INTEGER(KIND=JPIM),INTENT(IN) :: KANTY
INTEGER(KIND=JPIM),INTENT(IN) :: KTASK
REAL(KIND=JPRB) ,INTENT(IN) :: PDISTR(JPNOTP)
REAL(KIND=JPRB) ,INTENT(IN) :: PDELTA(JPNOTP)
REAL(KIND=JPRB) ,INTENT(IN) :: PDELPI
INTEGER(KIND=JPIM),INTENT(IN) :: KMXGSL(JPNOTP)
INTEGER(KIND=JPIM),INTENT(IN) :: KMXGQ(JPNOTP)
REAL(KIND=JPRB) ,INTENT(IN) :: PCORMIN
REAL(KIND=JPRB) ,INTENT(IN) :: PSTRET(2,KNBPH)
REAL(KIND=JPRB) ,INTENT(IN) :: PLATA(KNBPH)
REAL(KIND=JPRB) ,INTENT(IN) :: PLONA(KNBPH)
REAL(KIND=JPRB) ,INTENT(IN) :: PRESSS(KNBPH,KNBPV)
INTEGER(KIND=JPIM),INTENT(IN) :: KNXI(KNLXI)
INTEGER(KIND=JPIM),INTENT(IN) :: KNYJ(KNLYJ)
INTEGER(KIND=JPIM),INTENT(IN) :: KNM(KNLXI)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PSIGPS(KNBPH,KNLXI,KNBPV)
REAL(KIND=JPRB) ,INTENT(OUT) :: PRESIA(KNBPH,KNLXI,KNBPV)
REAL(KIND=JPRB) ,INTENT(OUT) :: PSIGA(KNBPH,KNLXI,KNBPV)
INTEGER(KIND=JPIM),INTENT(OUT) :: KNPR(KNBPH,KNBPV)
END SUBROUTINE CANEVA
END INTERFACE
